Panama Papers Breach May Have Been Caused by an Outdated Plugin

Apr 7, 2016

You’ve probably heard the recent story on the news about the so called “Panama Papers”. The outed data causing one world leader to resign already, and put the spotlight on a number of other high profile businessmen, politicians and other high profile people. The surprise (or maybe not?!) was that the website seems to have been hacked because of an outdated website plugin.

It turns out that not updating your website can have dire consequence. If that doesn’t convince you that your website needs regular maintenance and updating, I don’t know what will.

Read more about the Panama Papers breach with this report from WordFence.